#!/usr/bin/env python3

from sys import argv, exit

prefix = "\"Intel Xeon E3-12xx v2 (Ivy Bridge, IBRS)\" 2099.998 "

okwa_variants = []
tl_variants = [] 

ans = open(argv[3], 'r').readlines()
for e in ans:
    l, r = map(int, e.strip().split(" "))
    okwa_variants.append(l)
    tl_variants.append(r)

out = open(argv[2], 'r').readlines()

if len(out) != 1:
    exit(2)

out = out[0]

if not out.startswith(prefix):
    print(0)
    exit(1)

out = out.replace(prefix, '')

score = 0

try:
    okwa, tl = map(int, out.strip().split(" "))
except:
    exit(2)

if okwa in okwa_variants:
    score += 25

if tl in tl_variants:
    score += 25

if score == 50:
    exit(0)
print(score)
exit(1)
