#include <iostream>
#include <vector>
#include <cstdint>
#include <cassert>

int main()
{
    int serial, k;
    std::vector<int64_t> msgs;

    std::cin >> serial >> k;
    for (int i = 0; i < k; ++i) {
        int64_t x;
        std::cin >> x;
        msgs.push_back(x);
    }

    if (k == 0) {
        std::cout << 1 << std::endl;
        exit(0);
    }

    assert(msgs.size() > 0);
    int turn = 0;
    int maxval = serial;
    for (int64_t m : msgs) {
        if (m > 0) {
            int v = (int) m;
            turn = m >> 32;
            maxval = std::max(v, maxval);
        }
    }

    std::cerr << "turn: " << turn;
    ++turn;

    if (turn == 12) {
        std::cout << (maxval == serial) << std::endl;
    } else {
        // process the data
        std::cout << -1 << std::endl;
        for (int i = 0; i < int(msgs.size()); ++i) {
            std::cout << ((int64_t(turn) << 32) | maxval) << std::endl;
        }
    }
}
