#include <iostream>
#include <random>
#include <cstdlib>

using namespace std;

mt19937 random_gen;

int main(int argc, char *argv[])
{
  int count = strtol(argv[1], NULL, 10);
  int seed = strtol(argv[2], NULL, 10);

  random_gen.seed(seed);

  for (int i = 0; i < 8; ++i) {
    cout << (random_gen() & 0xff) << endl;
  }
  for (int i = 0; i < count; ++i) {
    int v = random_gen() & 0xf;
    if (v > 7) {
      v = - (v - 7);
    } else {
      ++v;
    }
    cout << v << endl;
  }
}
