#include <iostream>
#include <array>

using namespace std;

constexpr int SIZE = 8;

using Matrix = array<unsigned char, SIZE>;

int calc(Matrix m)
{
    Matrix tr_matr1{m};
    Matrix tr_matr2{m};

    /*
    cerr << "1:";
    for (int i = 0; i < 8; ++i) {
      cerr << " " << int(tr_matr1[i]);
    }
    cerr << endl;
    */

    int cnt1 = 0;
    for (int i = 0; i < 8; ++i) {
        if ((tr_matr1[i] & 1)) {
            tr_matr1[i] = ~tr_matr1[i];
            ++cnt1;
        }
    }

    /*
    cerr << "2:";
    for (int i = 0; i < 8; ++i) {
      cerr << " " << int(tr_matr1[i]);
    }
    cerr << " = " << cnt1;
    cerr << endl;
    */

    for (int i = 0; i < 8; ++i) {
        unsigned char m = 1 << i;
        if ((tr_matr1[0] & m)) {
            for (int j = 0; j < 8; ++j) {
                tr_matr1[j] ^= m;
            }
            ++cnt1;
        }
    }

    /*
    cerr << "3:";
    for (int i = 0; i < 8; ++i) {
      cerr << " " << int(tr_matr1[i]);
    }
    cerr << " = " << cnt1;
    cerr << endl;
    */

    int cnt2 = 0;
    for (int i = 0; i < 8; ++i) {
        unsigned char m = 1 << i;
        if ((tr_matr2[0] & m)) {
            for (int j = 0; j < 8; ++j) {
                tr_matr2[j] ^= m;
            }
            ++cnt2;
        }
    }

    /*
    cerr << "4:";
    for (int i = 0; i < 8; ++i) {
      cerr << " " << int(tr_matr2[i]);
    }
    cerr << " = " << cnt2;
    cerr << endl;
    */

    for (int i = 0; i < 8; ++i) {
        if ((tr_matr2[i] & 1)) {
            tr_matr2[i] = ~tr_matr2[i];
            ++cnt2;
        }
    }

    /*
    cerr << "5:";
    for (int i = 0; i < 8; ++i) {
      cerr << " " << int(tr_matr2[i]);
    }
    cerr << " = " << cnt2;
    cerr << endl;
    */

    return std::min(cnt1, cnt2);
}

int main()
{
    Matrix src_matr, dst_matr;

    for (int i = 0; i < 8; ++i) {
        int x;
        cin >> x;
        src_matr[i] = x;
    }
    for (int i = 0; i < 8; ++i) {
        int x;
        cin >> x;
        dst_matr[i] = x;
    }

    Matrix m;
    for (int i = 0; i < 8; ++i) {
        m[i] = src_matr[i] ^ dst_matr[i];
    }
    Matrix m1{m};

    m1[0] = ~m1[0];
    cout << min(calc(m), calc(m1) + 1) << endl;
}
