from math import sqrt
from itertools import count, islice
from random import randint

def is_prime(n):
    if n < 2:
        return False

    for number in islice(count(2), int(sqrt(n) - 1)):
        if n % number == 0:
            return False
    return True

a, b = map(int, input().strip().split(" "))

prime_sofie =[]
for i in range(a, b + 1):
    if is_prime(i):
        if is_prime(2*i + 1):
            prime_sofie += [i]
print(' '.join(map(str, prime_sofie)))
